	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_REC_INVOICE_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var NAVIGATION_BACK_BBI = null;
	
	var LOAD_MORE_BBI = null;
	var LOAD_PREV_BBI = null;
	var LOAD_NEXT_BBI = null;
	var LOAD_PAGING_CMB = null;
	var LOAD_PAGING_IGNORE_NEXT_REQUEST = false;
	
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var REC_INVOICE_REFERENCE_TXT = null;
	var REC_INVOICE_ACC_GROUP_ID_CMB = null;
	var REC_INVOICE_DISCOUNT_OTHER_TXT = null;
	var REC_INVOICE_AMOUNT_DUE_TXT = null;
	var REC_INVOICE_AMOUNT_PAID_TXT = null;
	var REC_INVOICE_REMARKS_TXT = null;
	var REC_INVOICE_REC_EMPLOYEE_ID_CMB = null;
	var REC_INVOICE_DATE_DELIVERY_DTP = null;
	var REC_INVOICE_DATE_DUE_DTP = null;
	var REC_INVOICE_STATUS_CMB = null;
	
	var SEARCH_REC_INVOICE_DATE_DELIVERY_CMB = null;
	var SEARCH_REC_INVOICE_DATE_ISSUED_CMB = null;
	var SEARCH_REC_INVOICE_DATE_DUE_CMB = null;
	var SEARCH_REC_INVOICE_DATE_FULLPAY_CMB = null;
	
	var PARAM_REC_INVOICE_ID_FILE_FP = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var INVOICE_DGV = null;
	var INVOICE_LAST_GET_MAP_ARRAY = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_INVOICE"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID_INVOICE");
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			//window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_INVOICE"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION_INVOICE");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	
			}
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_INVOICE") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_INVOICE")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
				
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_INVOICE', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_INVOICE', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
		}
		
		// Assign Fixed Parent (Must remove auto-populate at ch.js and HTTP_PARENT_LOAD at eh.js)
		// ...........................................
		/*
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARENT_SELECT_CMB"))
		{
			JSOC_CMB.VAR_ADD
			(
				"PARENT_SELECT_CMB", 
				PROPERTY_PARENT_ID,
				PROPERTY_PARENT_DESCRIPTION
			);
		}
		*/
		
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_REC_INVOICE_ID"))
		{
			PROPERTY_REC_INVOICE_ID = JSVC_COOKIE.VAR_READ("PROPERTY_REC_INVOICE_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_REC_INVOICE_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("INVOICE_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("INVOICE_MODAL", false);
		}
		
		// Initialize: Ribbon Buttons [Add Back Link (to parent page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};
		}
		
		// Initialize: Ribbon Buttons [Add Forward Link (to child page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};	
		}
		
		// Initialize: Load more items to the list
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_MORE_BBI"))
		{
    		LOAD_MORE_BBI = JSOC_ELEMENT.VAR_GET("LOAD_MORE_BBI");  
			LOAD_MORE_BBI.onclick = 
				function()
				{
					HTTP_SEARCH_LOAD_MORE();
				};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PREV_BBI"))
		{
    		LOAD_PREV_BBI = JSOC_ELEMENT.VAR_GET("LOAD_PREV_BBI");  
			LOAD_PREV_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX > 0)
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX - 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_NEXT_BBI"))
		{
    		LOAD_NEXT_BBI = JSOC_ELEMENT.VAR_GET("LOAD_NEXT_BBI");  
			LOAD_NEXT_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX + 1 < JSOC_CMB.VAR_COUNT(LOAD_PAGING_CMB))
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX + 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PAGING_CMB"))
		{
    		LOAD_PAGING_CMB = JSOC_ELEMENT.VAR_GET("LOAD_PAGING_CMB");  
			LOAD_PAGING_CMB.onchange = 
				function()
				{
					HTTP_SEARCH_LOAD_PAGE();
				};
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH();};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSOC_DIALOG.VAR_LOADING_SPINNER(true);
				JSRC_THREAD.REF_POST_DELAYED			
				(
					async function()
					{
						await JSRC_EXCEL.REF_EXPORT('INVOICE_DGV');
						CUS_SEND_DIALOG_TRY_DISMISS();
					},
					100
				);
			};
		}		

		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_ID_TXT"))
		{
			REC_INVOICE_ID_TXT = JSOC_ELEMENT.VAR_GET("REC_INVOICE_ID_TXT");      
			REC_INVOICE_ID_TXT.onchange = 
				function()
				{
					if(REC_INVOICE_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_ID_TXT.onkeypress = function(){REC_INVOICE_ID_TXT.onchange();};
			REC_INVOICE_ID_TXT.onpaste = function(){REC_INVOICE_ID_TXT.onchange();};
			//REC_INVOICE_ID_TXT.oninput = function(){REC_INVOICE_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_CODE_TXT"))
		{
			REC_INVOICE_CODE_TXT = JSOC_ELEMENT.VAR_GET("REC_INVOICE_CODE_TXT");      
			REC_INVOICE_CODE_TXT.onchange = 
				function()
				{
					if(REC_INVOICE_CODE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_CODE_TXT.onkeypress = function(){REC_INVOICE_CODE_TXT.onchange();};
			REC_INVOICE_CODE_TXT.onpaste = function(){REC_INVOICE_CODE_TXT.onchange();};
			//REC_INVOICE_CODE_TXT.oninput = function(){REC_INVOICE_CODE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_REFERENCE_TXT"))
		{
			REC_INVOICE_REFERENCE_TXT = JSOC_ELEMENT.VAR_GET("REC_INVOICE_REFERENCE_TXT");      
			REC_INVOICE_REFERENCE_TXT.onchange = 
				function()
				{
					if(REC_INVOICE_REFERENCE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_REFERENCE_TXT.onkeypress = function(){REC_INVOICE_REFERENCE_TXT.onchange();};
			REC_INVOICE_REFERENCE_TXT.onpaste = function(){REC_INVOICE_REFERENCE_TXT.onchange();};
			//REC_INVOICE_REFERENCE_TXT.oninput = function(){REC_INVOICE_REFERENCE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_ACC_GROUP_ID_CMB"))
		{
			REC_INVOICE_ACC_GROUP_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_INVOICE_ACC_GROUP_ID_CMB");      	
			REC_INVOICE_ACC_GROUP_ID_CMB.onchange = 
				function()
				{
					if(REC_INVOICE_ACC_GROUP_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_ACC_GROUP_ID_CMB.onkeypress = function(){REC_INVOICE_ACC_GROUP_ID_CMB.onchange();};
			REC_INVOICE_ACC_GROUP_ID_CMB.onpaste = function(){REC_INVOICE_ACC_GROUP_ID_CMB.onchange();};
			//REC_INVOICE_ACC_GROUP_ID_CMB.oninput = function(){REC_INVOICE_ACC_GROUP_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_LINE_TOTAL_TXT"))
		{
			REC_INVOICE_LINE_TOTAL_TXT = JSOC_ELEMENT.VAR_GET("REC_INVOICE_LINE_TOTAL_TXT");      
			REC_INVOICE_LINE_TOTAL_TXT.onchange = 
				function()
				{
					if(REC_INVOICE_LINE_TOTAL_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_LINE_TOTAL_TXT.onkeypress = function(){REC_INVOICE_LINE_TOTAL_TXT.onchange();};
			REC_INVOICE_LINE_TOTAL_TXT.onpaste = function(){REC_INVOICE_LINE_TOTAL_TXT.onchange();};
			//REC_INVOICE_LINE_TOTAL_TXT.oninput = function(){REC_INVOICE_LINE_TOTAL_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_LINE_DISCOUNT_TXT"))
		{
			REC_INVOICE_LINE_DISCOUNT_TXT = JSOC_ELEMENT.VAR_GET("REC_INVOICE_LINE_DISCOUNT_TXT");      
			REC_INVOICE_LINE_DISCOUNT_TXT.onchange = 
				function()
				{
					if(REC_INVOICE_LINE_DISCOUNT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_LINE_DISCOUNT_TXT.onkeypress = function(){REC_INVOICE_LINE_DISCOUNT_TXT.onchange();};
			REC_INVOICE_LINE_DISCOUNT_TXT.onpaste = function(){REC_INVOICE_LINE_DISCOUNT_TXT.onchange();};
			//REC_INVOICE_LINE_DISCOUNT_TXT.oninput = function(){REC_INVOICE_LINE_DISCOUNT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_DISCOUNT_OTHER_TXT"))
		{
			REC_INVOICE_DISCOUNT_OTHER_TXT = JSOC_ELEMENT.VAR_GET("REC_INVOICE_DISCOUNT_OTHER_TXT");      
			REC_INVOICE_DISCOUNT_OTHER_TXT.onchange = 
				function()
				{
					if(REC_INVOICE_DISCOUNT_OTHER_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_DISCOUNT_OTHER_TXT.onkeypress = function(){REC_INVOICE_DISCOUNT_OTHER_TXT.onchange();};
			REC_INVOICE_DISCOUNT_OTHER_TXT.onpaste = function(){REC_INVOICE_DISCOUNT_OTHER_TXT.onchange();};
			//REC_INVOICE_DISCOUNT_OTHER_TXT.oninput = function(){REC_INVOICE_DISCOUNT_OTHER_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_AMOUNT_DUE_TXT"))
		{
			REC_INVOICE_AMOUNT_DUE_TXT = JSOC_ELEMENT.VAR_GET("REC_INVOICE_AMOUNT_DUE_TXT");      
			REC_INVOICE_AMOUNT_DUE_TXT.onchange = 
				function()
				{
					if(REC_INVOICE_AMOUNT_DUE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_AMOUNT_DUE_TXT.onkeypress = function(){REC_INVOICE_AMOUNT_DUE_TXT.onchange();};
			REC_INVOICE_AMOUNT_DUE_TXT.onpaste = function(){REC_INVOICE_AMOUNT_DUE_TXT.onchange();};
			//REC_INVOICE_AMOUNT_DUE_TXT.oninput = function(){REC_INVOICE_AMOUNT_DUE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_AMOUNT_PAID_TXT"))
		{
			REC_INVOICE_AMOUNT_PAID_TXT = JSOC_ELEMENT.VAR_GET("REC_INVOICE_AMOUNT_PAID_TXT");      
			REC_INVOICE_AMOUNT_PAID_TXT.onchange = 
				function()
				{
					if(REC_INVOICE_AMOUNT_PAID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_AMOUNT_PAID_TXT.onkeypress = function(){REC_INVOICE_AMOUNT_PAID_TXT.onchange();};
			REC_INVOICE_AMOUNT_PAID_TXT.onpaste = function(){REC_INVOICE_AMOUNT_PAID_TXT.onchange();};
			//REC_INVOICE_AMOUNT_PAID_TXT.oninput = function(){REC_INVOICE_AMOUNT_PAID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_REMARKS_TXT"))
		{
			REC_INVOICE_REMARKS_TXT = JSOC_ELEMENT.VAR_GET("REC_INVOICE_REMARKS_TXT");      
			REC_INVOICE_REMARKS_TXT.onchange = 
				function()
				{
					if(REC_INVOICE_REMARKS_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_REMARKS_TXT.onkeypress = function(){REC_INVOICE_REMARKS_TXT.onchange();};
			REC_INVOICE_REMARKS_TXT.onpaste = function(){REC_INVOICE_REMARKS_TXT.onchange();};
			//REC_INVOICE_REMARKS_TXT.oninput = function(){REC_INVOICE_REMARKS_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_REC_EMPLOYEE_ID_CMB"))
		{
			REC_INVOICE_REC_EMPLOYEE_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_INVOICE_REC_EMPLOYEE_ID_CMB");      	
			REC_INVOICE_REC_EMPLOYEE_ID_CMB.onchange = 
				function()
				{
					if(REC_INVOICE_REC_EMPLOYEE_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_REC_EMPLOYEE_ID_CMB.onkeypress = function(){REC_INVOICE_REC_EMPLOYEE_ID_CMB.onchange();};
			REC_INVOICE_REC_EMPLOYEE_ID_CMB.onpaste = function(){REC_INVOICE_REC_EMPLOYEE_ID_CMB.onchange();};
			//REC_INVOICE_REC_EMPLOYEE_ID_CMB.oninput = function(){REC_INVOICE_REC_EMPLOYEE_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_DATE_DELIVERY_DTP"))
		{
			REC_INVOICE_DATE_DELIVERY_DTP = JSOC_ELEMENT.VAR_GET("REC_INVOICE_DATE_DELIVERY_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_INVOICE_DATE_DELIVERY_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_INVOICE_DATE_DELIVERY_DTP.onchange = 
				function()
				{
					if(REC_INVOICE_DATE_DELIVERY_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_DATE_DELIVERY_DTP.onkeypress = function(){REC_INVOICE_DATE_DELIVERY_DTP.onchange();};
			REC_INVOICE_DATE_DELIVERY_DTP.onpaste = function(){REC_INVOICE_DATE_DELIVERY_DTP.onchange();};
			REC_INVOICE_DATE_DELIVERY_DTP.oninput = function(){REC_INVOICE_DATE_DELIVERY_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_DELIVERY_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_INVOICE_DATE_DELIVERY_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_DELIVERY_FROM_DTP"))
		{
			var SEARCH_REC_INVOICE_DATE_DELIVERY_FROM_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_DELIVERY_FROM_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_DELIVERY_CMB'))
			{
				SEARCH_REC_INVOICE_DATE_DELIVERY_FROM_DTP.onchange = function()
				{
					if(SEARCH_REC_INVOICE_DATE_DELIVERY_FROM_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_DELIVERY_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_INVOICE_DATE_DELIVERY_FROM_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_DELIVERY_TO_DTP"))
		{
			var SEARCH_REC_INVOICE_DATE_DELIVERY_TO_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_DELIVERY_TO_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_DELIVERY_CMB'))
			{
				SEARCH_REC_INVOICE_DATE_DELIVERY_TO_DTP.onchange = function()
				{
					if(SEARCH_REC_INVOICE_DATE_DELIVERY_TO_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_DELIVERY_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_INVOICE_DATE_DELIVERY_TO_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_DELIVERY_CMB'))
		{
			// Initialize
			var SEARCH_REC_INVOICE_DATE_DELIVERY_CMB = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_DELIVERY_CMB");
			JSOC_DTP.VAR_CREATE_LIST(SEARCH_REC_INVOICE_DATE_DELIVERY_CMB);
				
			// Setup onChange event
			SEARCH_REC_INVOICE_DATE_DELIVERY_CMB.onchange = function()
			{
				if(SEARCH_REC_INVOICE_DATE_DELIVERY_CMB.disabled == false)
				{
					JSOC_DTP.VAR_DATESET_ASSIGN
					(
						"SEARCH_REC_INVOICE_DATE_DELIVERY_FROM_DTP", 
						"SEARCH_REC_INVOICE_DATE_DELIVERY_TO_DTP", 
						SEARCH_REC_INVOICE_DATE_DELIVERY_CMB
					);
				}
			};
				
			// Set to this week
			JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_DELIVERY_CMB', '3'); 
			SEARCH_REC_INVOICE_DATE_DELIVERY_CMB.onchange();
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_DATE_ISSUED_DTP"))
		{
			REC_INVOICE_DATE_ISSUED_DTP = JSOC_ELEMENT.VAR_GET("REC_INVOICE_DATE_ISSUED_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_INVOICE_DATE_ISSUED_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_INVOICE_DATE_ISSUED_DTP.onchange = 
				function()
				{
					if(REC_INVOICE_DATE_ISSUED_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_DATE_ISSUED_DTP.onkeypress = function(){REC_INVOICE_DATE_ISSUED_DTP.onchange();};
			REC_INVOICE_DATE_ISSUED_DTP.onpaste = function(){REC_INVOICE_DATE_ISSUED_DTP.onchange();};
			REC_INVOICE_DATE_ISSUED_DTP.oninput = function(){REC_INVOICE_DATE_ISSUED_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_ISSUED_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_INVOICE_DATE_ISSUED_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_ISSUED_FROM_DTP"))
		{
			var SEARCH_REC_INVOICE_DATE_ISSUED_FROM_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_ISSUED_FROM_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_ISSUED_CMB'))
			{
				SEARCH_REC_INVOICE_DATE_ISSUED_FROM_DTP.onchange = function()
				{
					if(SEARCH_REC_INVOICE_DATE_ISSUED_FROM_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_ISSUED_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_INVOICE_DATE_ISSUED_FROM_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_ISSUED_TO_DTP"))
		{
			var SEARCH_REC_INVOICE_DATE_ISSUED_TO_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_ISSUED_TO_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_ISSUED_CMB'))
			{
				SEARCH_REC_INVOICE_DATE_ISSUED_TO_DTP.onchange = function()
				{
					if(SEARCH_REC_INVOICE_DATE_ISSUED_TO_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_ISSUED_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_INVOICE_DATE_ISSUED_TO_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_ISSUED_CMB'))
		{
			// Initialize
			var SEARCH_REC_INVOICE_DATE_ISSUED_CMB = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_ISSUED_CMB");
			JSOC_DTP.VAR_CREATE_LIST(SEARCH_REC_INVOICE_DATE_ISSUED_CMB);
				
			// Setup onChange event
			SEARCH_REC_INVOICE_DATE_ISSUED_CMB.onchange = function()
			{
				if(SEARCH_REC_INVOICE_DATE_ISSUED_CMB.disabled == false)
				{
					JSOC_DTP.VAR_DATESET_ASSIGN
					(
						"SEARCH_REC_INVOICE_DATE_ISSUED_FROM_DTP", 
						"SEARCH_REC_INVOICE_DATE_ISSUED_TO_DTP", 
						SEARCH_REC_INVOICE_DATE_ISSUED_CMB
					);
				}
			};
				
			// Set to this week
			JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_ISSUED_CMB', '3'); 
			SEARCH_REC_INVOICE_DATE_ISSUED_CMB.onchange();
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_DATE_DUE_DTP"))
		{
			REC_INVOICE_DATE_DUE_DTP = JSOC_ELEMENT.VAR_GET("REC_INVOICE_DATE_DUE_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_INVOICE_DATE_DUE_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_INVOICE_DATE_DUE_DTP.onchange = 
				function()
				{
					if(REC_INVOICE_DATE_DUE_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_DATE_DUE_DTP.onkeypress = function(){REC_INVOICE_DATE_DUE_DTP.onchange();};
			REC_INVOICE_DATE_DUE_DTP.onpaste = function(){REC_INVOICE_DATE_DUE_DTP.onchange();};
			REC_INVOICE_DATE_DUE_DTP.oninput = function(){REC_INVOICE_DATE_DUE_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_DUE_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_INVOICE_DATE_DUE_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_DUE_FROM_DTP"))
		{
			var SEARCH_REC_INVOICE_DATE_DUE_FROM_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_DUE_FROM_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_DUE_CMB'))
			{
				SEARCH_REC_INVOICE_DATE_DUE_FROM_DTP.onchange = function()
				{
					if(SEARCH_REC_INVOICE_DATE_DUE_FROM_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_DUE_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_INVOICE_DATE_DUE_FROM_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_DUE_TO_DTP"))
		{
			var SEARCH_REC_INVOICE_DATE_DUE_TO_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_DUE_TO_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_DUE_CMB'))
			{
				SEARCH_REC_INVOICE_DATE_DUE_TO_DTP.onchange = function()
				{
					if(SEARCH_REC_INVOICE_DATE_DUE_TO_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_DUE_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_INVOICE_DATE_DUE_TO_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_DUE_CMB'))
		{
			// Initialize
			var SEARCH_REC_INVOICE_DATE_DUE_CMB = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_DUE_CMB");
			JSOC_DTP.VAR_CREATE_LIST(SEARCH_REC_INVOICE_DATE_DUE_CMB);
				
			// Setup onChange event
			SEARCH_REC_INVOICE_DATE_DUE_CMB.onchange = function()
			{
				if(SEARCH_REC_INVOICE_DATE_DUE_CMB.disabled == false)
				{
					JSOC_DTP.VAR_DATESET_ASSIGN
					(
						"SEARCH_REC_INVOICE_DATE_DUE_FROM_DTP", 
						"SEARCH_REC_INVOICE_DATE_DUE_TO_DTP", 
						SEARCH_REC_INVOICE_DATE_DUE_CMB
					);
				}
			};
				
			// Set to this week
			JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_DUE_CMB', '3'); 
			SEARCH_REC_INVOICE_DATE_DUE_CMB.onchange();
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_DATE_FULLPAY_DTP"))
		{
			REC_INVOICE_DATE_FULLPAY_DTP = JSOC_ELEMENT.VAR_GET("REC_INVOICE_DATE_FULLPAY_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_INVOICE_DATE_FULLPAY_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_INVOICE_DATE_FULLPAY_DTP.onchange = 
				function()
				{
					if(REC_INVOICE_DATE_FULLPAY_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_DATE_FULLPAY_DTP.onkeypress = function(){REC_INVOICE_DATE_FULLPAY_DTP.onchange();};
			REC_INVOICE_DATE_FULLPAY_DTP.onpaste = function(){REC_INVOICE_DATE_FULLPAY_DTP.onchange();};
			REC_INVOICE_DATE_FULLPAY_DTP.oninput = function(){REC_INVOICE_DATE_FULLPAY_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_FULLPAY_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_INVOICE_DATE_FULLPAY_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_FULLPAY_FROM_DTP"))
		{
			var SEARCH_REC_INVOICE_DATE_FULLPAY_FROM_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_FULLPAY_FROM_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_FULLPAY_CMB'))
			{
				SEARCH_REC_INVOICE_DATE_FULLPAY_FROM_DTP.onchange = function()
				{
					if(SEARCH_REC_INVOICE_DATE_FULLPAY_FROM_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_FULLPAY_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_INVOICE_DATE_FULLPAY_FROM_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_INVOICE_DATE_FULLPAY_TO_DTP"))
		{
			var SEARCH_REC_INVOICE_DATE_FULLPAY_TO_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_FULLPAY_TO_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_FULLPAY_CMB'))
			{
				SEARCH_REC_INVOICE_DATE_FULLPAY_TO_DTP.onchange = function()
				{
					if(SEARCH_REC_INVOICE_DATE_FULLPAY_TO_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_FULLPAY_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_INVOICE_DATE_FULLPAY_TO_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_INVOICE_DATE_FULLPAY_CMB'))
		{
			// Initialize
			var SEARCH_REC_INVOICE_DATE_FULLPAY_CMB = JSOC_ELEMENT.VAR_GET("SEARCH_REC_INVOICE_DATE_FULLPAY_CMB");
			JSOC_DTP.VAR_CREATE_LIST(SEARCH_REC_INVOICE_DATE_FULLPAY_CMB);
				
			// Setup onChange event
			SEARCH_REC_INVOICE_DATE_FULLPAY_CMB.onchange = function()
			{
				if(SEARCH_REC_INVOICE_DATE_FULLPAY_CMB.disabled == false)
				{
					JSOC_DTP.VAR_DATESET_ASSIGN
					(
						"SEARCH_REC_INVOICE_DATE_FULLPAY_FROM_DTP", 
						"SEARCH_REC_INVOICE_DATE_FULLPAY_TO_DTP", 
						SEARCH_REC_INVOICE_DATE_FULLPAY_CMB
					);
				}
			};
				
			// Set to this week
			JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_INVOICE_DATE_FULLPAY_CMB', '3'); 
			SEARCH_REC_INVOICE_DATE_FULLPAY_CMB.onchange();
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_ACC_ACCOUNT_ID_CMB"))
		{
			REC_INVOICE_ACC_ACCOUNT_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_INVOICE_ACC_ACCOUNT_ID_CMB");      	
			REC_INVOICE_ACC_ACCOUNT_ID_CMB.onchange = 
				function()
				{
					if(REC_INVOICE_ACC_ACCOUNT_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_ACC_ACCOUNT_ID_CMB.onkeypress = function(){REC_INVOICE_ACC_ACCOUNT_ID_CMB.onchange();};
			REC_INVOICE_ACC_ACCOUNT_ID_CMB.onpaste = function(){REC_INVOICE_ACC_ACCOUNT_ID_CMB.onchange();};
			//REC_INVOICE_ACC_ACCOUNT_ID_CMB.oninput = function(){REC_INVOICE_ACC_ACCOUNT_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_PAYMENT_STATUS_CMB"))
		{
			REC_INVOICE_PAYMENT_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_INVOICE_PAYMENT_STATUS_CMB");     
			REC_INVOICE_PAYMENT_STATUS_CMB.onchange = 
				function()
				{
					if(REC_INVOICE_PAYMENT_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_PAYMENT_STATUS_CMB.onkeypress = function(){REC_INVOICE_PAYMENT_STATUS_CMB.onchange();};
			REC_INVOICE_PAYMENT_STATUS_CMB.onpaste = function(){REC_INVOICE_PAYMENT_STATUS_CMB.onchange();};
			//REC_INVOICE_PAYMENT_STATUS_CMB.oninput = function(){REC_INVOICE_PAYMENT_STATUS_CMB.onchange();};						
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_INVOICE_STATUS_CMB"))
		{
			REC_INVOICE_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_INVOICE_STATUS_CMB");      	
			REC_INVOICE_STATUS_CMB.onchange = 
				function()
				{
					if(REC_INVOICE_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_INVOICE_STATUS_CMB.onkeypress = function(){REC_INVOICE_STATUS_CMB.onchange();};
			REC_INVOICE_STATUS_CMB.onpaste = function(){REC_INVOICE_STATUS_CMB.onchange();};
			//REC_INVOICE_STATUS_CMB.oninput = function(){REC_INVOICE_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_REC_INVOICE_ID_FILE_FP"))
		{
			PARAM_REC_INVOICE_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_REC_INVOICE_ID_FILE_FP");
			PARAM_REC_INVOICE_ID_FILE_FP.onchange = 
				function()
				{
					if(PARAM_REC_INVOICE_ID_FILE_FP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};			
		}
				
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	};